# prg3: Zeitgesteuerte Abläufe
require 'rufus-scheduler'
require 'json'

schedulers = Array.new
battLoop = Rufus::Scheduler.new
schedulers << battLoop
battLoop.every '3m' do 
  puts "Batt: #{Time.now}"
  batt = JSON.parse(%x(termux-battery-status))
  File.open('dataBatt.dat','a') do |f|
    f.puts "#{Time.now.strftime('%d.%m.%y %H:%M')} #{batt['percentage'] \
    } #{batt['plugged']} #{batt['status']} #{batt['temperature'].to_f.round(1)}"
  end
end

otherLoop = Rufus::Scheduler.new
schedulers << otherLoop
otherLoop.at '2017/01/01 00:00:01' do
  puts "Happy new Year"
end

schedulers.each {|s| s.join}


