"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
// Angular Library-Importe
var core_1 = require('@angular/core');
var router_1 = require('@angular/router');
var FlugService_1 = require('../Services/FlugService');
var Flugliste = (function () {
    function Flugliste(flugService, router) {
        this.flugService = flugService;
        this.router = router;
        console.log("Flugliste.Konstruktor!!!");
    }
    Flugliste.prototype.ngOnInit = function () {
        this.flugSet = this.flugService.flugSetO;
        this.DatenLaden();
        // tatsächlich erwartet Angular 2 ein Observable, dass ein Array von Flug verpackt :-(
        // this.flugSet = o2;
        // das geht nicht "NgFor only supports binding to Iterables such as Arrays."
        // this.flugSet = o4;
        this.DatenLaden();
    };
    Flugliste.prototype.DatenLaden = function () {
        if (this.flugService.flugSetO)
            this.flugService.flugSetO.subscribe(function (x) { return console.log("fug: ", x); });
        this.flugSet = this.flugService.getAllAsOversable();
        // console.log("UI:", this.flugSet);
        // 	this.flugService.getAll(daten => {
        // 		this.flugSet = FlugService.flugSet;
        // 		this.status = this.flugSet.length + " Flüge geladen.";
        // 	});
    };
    Flugliste.prototype.DatenLaden2 = function () {
        // this.flugSet = FlugService.flugSet;
        // this.status = this.flugSet.length + " Flüge geladen.";
    };
    Flugliste.prototype.Loeschen = function (flug) {
        this.flugService.delete(flug); // Dienst aufrufen
        this.flugSet = this.flugService.flugSetO; // Datenbindung aktualisieren
        this.status = "Flug " + flug.FlugNr + " gel\u00F6scht!";
        // console.log("delete(): " + this.flugSet.length);
    };
    Flugliste.prototype.Aendern = function (flug) {
        var link = ['/edit', flug.FlugNr];
        this.router.navigate(link);
    };
    // Event-Handler für Nachricht von untergeordneter Komponente
    Flugliste.prototype.onDatenGeaendertEvent = function (flug) {
        console.log("EVENT: Flug geändert", flug);
        // this.flugSet = FlugService.flugSet;
    };
    Flugliste = __decorate([
        core_1.Component({
            selector: 'Flugliste',
            templateUrl: 'App/Flugliste/Flugliste.html',
            styleUrls: ['App/Flugliste/Flugliste.css'],
            providers: [FlugService_1.FlugService],
        }), 
        __metadata('design:paramtypes', [FlugService_1.FlugService, router_1.Router])
    ], Flugliste);
    return Flugliste;
}());
exports.Flugliste = Flugliste;
//# sourceMappingURL=Flugliste.js.map