# prg5: Netzwerk
require 'rufus-scheduler'
require 'socket'

sch = Rufus::Scheduler.new
oldIP = ''
sch.every '2m' do
  puts "Net: #{Time.now}"
  addr_infos = Socket.ip_address_list.delete_if{|addr| addr.ipv4_loopback? || \
     addr.ipv6_loopback? || addr.ipv6_linklocal?}
  if oldIP != addr_infos.first.ip_address
    oldIP = addr_infos.first.ip_address
    %x(termux-vibrate -d 750)
    %x(termux-notification -i 10 -t "WLAN-Info" -c \
      "Home-LAN:#{Time.now.strftime('%H:%M:%S')}") \
      if oldIP == '192.168.10.12' && addr_infos.first.getnameinfo.first \
             =='smart1.home.lan'
  end
  File.open('netzwerkInfo.dat','a') do |n|
    addr_infos.each do |addr|
      n.puts "#{Time.now.strftime("%0d.%0m.%0y %0H:%0M")} IP=#{addr.ip_address \
         }, Name:=#{addr.getnameinfo.first}"
    end
  end
end
sch.join
