"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var http_1 = require('@angular/http');
var Rx_1 = require('rxjs/Rx');
var FlugdatenProxy = (function () {
    function FlugdatenProxy(http) {
        this.http = http;
        this.url = "/app/daten/flugdaten.json";
    }
    FlugdatenProxy.prototype.getAllAsObservable = function () {
        // Daten von HTTP-Dienst laden
        console.log("FlugdatenProxy:lade von " + this.url);
        return this.http
            .get(this.url)
            .map(function (resp) { console.log("FlugdatenProxy:Geladen!"); return resp.json(); })
            .catch(function (error) {
            console.log("!!! FlugdatenProxy:Fehler", error);
            return Rx_1.Observable.throw(error.json().error || 'Server error');
        });
    };
    FlugdatenProxy.prototype.getAllAsArray = function (callback) {
        // console.log("getAll() 1");
        // this.getAllAsObservable().subscribe(flugSet => { callback(flugSet); });
    };
    // getAllInternal(): Promise<Array<Flug>> {
    //     return this.http.get(this.url)
    //         .toPromise()
    //         .then(response => { console.log("OK. Geladen:", (response.json() as Flug[])); return (response.json() as Flug[]);  })
    //         .catch(this.handleError)
    //     //    const observable = this.http.get(this.url);
    //     //     const anotherObservable = observable.map((response : any) => response.json().data);
    //     //     console.log(anotherObservable);
    //     //     anotherObservable.subscribe((data)=> { FlugService.flugset = data;})
    //     //   console.log(FlugService.flugset);
    // }
    FlugdatenProxy.prototype.handleError = function (error) {
        console.error('An error occurred', error); // for demo purposes only
        return Promise.reject(error.message || error);
    };
    FlugdatenProxy = __decorate([
        core_1.Injectable(), 
        __metadata('design:paramtypes', [http_1.Http])
    ], FlugdatenProxy);
    return FlugdatenProxy;
}());
exports.FlugdatenProxy = FlugdatenProxy;
//# sourceMappingURL=FlugdatenProxy.js.map