"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
// Angular Library-Importe
var core_1 = require('@angular/core');
var router_1 = require('@angular/router');
// Eigene Module
var Flugliste_1 = require('./Flugliste/Flugliste');
var FlugEdit_1 = require('./FlugEdit/FlugEdit');
var datenbindung_1 = require('./_Misc/datenbindung');
var CheatSheet_1 = require('./_CheatSheet/CheatSheet');
var routes = [
    { path: '', redirectTo: 'cheatsheet', pathMatch: 'full' },
    { path: 'liste', component: Flugliste_1.Flugliste },
    { path: 'edit', component: FlugEdit_1.FlugEdit },
    { path: 'edit/:id', component: FlugEdit_1.FlugEdit },
    // Weitere Beispiele
    { path: 'datenbindung', component: datenbindung_1.Datenbindung },
    { path: 'cheatsheet', component: CheatSheet_1.CheatSheet }
];
var AppRoutingModule = (function () {
    function AppRoutingModule() {
    }
    AppRoutingModule = __decorate([
        core_1.NgModule({
            imports: [router_1.RouterModule.forRoot(routes)],
            exports: [router_1.RouterModule]
        }), 
        __metadata('design:paramtypes', [])
    ], AppRoutingModule);
    return AppRoutingModule;
}());
exports.AppRoutingModule = AppRoutingModule;
//# sourceMappingURL=app-routing.module.js.map