// Angular Library-Importe
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
// Eigene Module
import { Flugliste} from './Flugliste/Flugliste';
import { FlugEdit} from './FlugEdit/FlugEdit';
import { Datenbindung} from './_Misc/datenbindung';
import { CheatSheet} from './_CheatSheet/CheatSheet';

const routes: Routes = [
  { path: '', redirectTo: 'cheatsheet', pathMatch: 'full' }, // datenbindung
  { path: 'liste',  component: Flugliste },
  { path: 'edit', component: FlugEdit },
  { path: 'edit/:id', component: FlugEdit },
  // Weitere Beispiele
   { path: 'datenbindung',  component: Datenbindung },
      { path: 'cheatsheet',  component: CheatSheet }
];

@NgModule({
  imports: [ RouterModule.forRoot(routes) ],
  exports: [ RouterModule ]
})
export class AppRoutingModule {}
