"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var testing_1 = require('@angular/core/testing');
var http_1 = require('@angular/http');
var Observable_1 = require('rxjs/Observable');
require('rxjs/Rx');
var hr_component_1 = require('./hr.component');
var hr_service_1 = require('./shared/hr.service');
describe('a hr component', function () {
    var component;
    // register all needed dependencies
    beforeEach(function () {
        testing_1.TestBed.configureTestingModule({
            imports: [http_1.HttpModule],
            providers: [
                { provide: hr_service_1.HrService, useClass: MockHrService },
                hr_component_1.HrComponent
            ]
        });
    });
    // instantiation through framework injection
    beforeEach(testing_1.inject([hr_component_1.HrComponent], function (HrComponent) {
        component = HrComponent;
    }));
    it('should have an instance', function () {
        expect(component).toBeDefined();
    });
});
// Mock of the original hr service
var MockHrService = (function (_super) {
    __extends(MockHrService, _super);
    function MockHrService() {
        _super.apply(this, arguments);
    }
    MockHrService.prototype.getList = function () {
        return Observable_1.Observable.from([{ id: 1, name: 'One' }, { id: 2, name: 'Two' }]);
    };
    return MockHrService;
}(hr_service_1.HrService));
//# sourceMappingURL=hr.component.spec.js.map